# Method: liasettings.setposdataprovider

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setposdataprovider#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setposdataprovider#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setposdataprovider#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setposdataprovider#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setposdataprovider#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setposdataprovider#body.LiasettingsSetPosDataProviderResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setposdataprovider#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setposdataprovider#try-it)

Sets the POS data provider for the specified country.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/liasettings/{accountId}/setposdataprovider`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the managing account. If this parameter is not the same as [accountId](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setposdataprovider#accountId), then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account. |
| `accountId` | `string` The ID of the account for which to retrieve accessible Business Profiles. |

### Query parameters

| Parameters ||
|---|---|
| `country` | `string` The country for which the POS data provider is selected. |
| `posDataProviderId` | `string` The ID of POS data provider. |
| `posExternalAccountId` | `string` The account ID by which this merchant is known to the POS data provider. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#liasettingsSetPosDataProviderResponse`". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).